import matplotlib.pyplot as plt
import numpy as np
import pandas as pd
import seaborn as sns

mpg = sns.load_dataset("mpg")
iris = sns.load_dataset("iris")

iris_mod = iris[iris["species"] == "setosa"]

x_bins = [5, 10, None]
plt.figure(figsize=(15, 5))
for i, b in enumerate(x_bins):
    plt.subplot(1, len(x_bins), i + 1)
    plt.title(f"x_bins = {b}")
    sns.regplot(x="sepal_length", y="sepal_width", data=iris_mod, x_bins=b)

plt.show()
